qGrid.js
=====

[QGrid.js](http://re-program.si/grid/) is a jQuery plugin, that creates grid for you.

Usage
====

Add a reference to jQuery, metroNav.js and metroNav.css in your application before you want to use MetroNav:

	<script src="js/jQuery.js"></script>
	<script src='js/qGrid.js'></script>

Once you have script included you can then select specific element of your choose and turn him into qGrid.
(For demo you can use json from example.js)

##General

####Basic json:

	{
		theme_url: 'css/qGrid.css',
		hiddenCell: true,
		options: true,
		footer: true,
		sortable: true,
		resultNum: 25,
		cellMinWidth: 140,
		dblClick: function (data){ console.log(data) },
		activeRow: function (data){ console.log(data) },
		headerData: gridHeader,
		contentData: gridData
	}

- theme_url: reference link to custom theme
- hiddenCell: determine if cells will hide when there is not enough space
- options: visibility of options menu
- sortable: sorting functionality - true/false
- footer: visibility of footer
- resultNum: number of results on single page
- cellMinWidth: minimum cell width before hidding (if hiddenCell enabled)
- dblClick: double click event on row
- activeRow: whenever row is active, plugin triggers this event
- headerData: basic structure of grid
- contentData: content with attributes from headerData

####Image:
![Alt text](https://github.com/klemenoslaj/qGrid/blob/master/images/1.png?raw=true "With basic json")

Copyright (c) 2014 Klemen Oslaj
